Bug 2504 - (int-89790) Typo in cx3110 driver
(int-89790)
: Typo in cx3110 driver
Status: RESOLVED WONTFIX
Product: Connectivity
WiFi
: 4.1.2 (4.2008.36-5)
: All Linux
: Low normal (vote)
: ---
Assigned To: Kalle Valo
: wifi-bugs
:
: community-diablo, easyfix, patch
:
:
  Show dependency tree
 
Reported: 2007-12-07 20:23 UTC by Steven Walter
Modified: 2009-10-22 07:56 UTC (History)
3 users (show)

See Also:


Attachments
Bugfix (356 bytes, patch)
2007-12-07 20:24 UTC, Steven Walter
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Steven Walter (reporter) 2007-12-07 20:23:13 UTC
While reading through the wireless card driver (what source is available), I
noticed what is almost certainly a bug.  Patch to follow
Comment 1 Steven Walter (reporter) 2007-12-07 20:24:04 UTC
Created an attachment (id=657) [details]
Bugfix

The old test is equivalent to if (0), which means its not possible to set the
ENCODE_MODE without also setting a key.
Comment 2 Kalle Valo nokia 2007-12-11 10:31:37 UTC
(In reply to comment #1)
> Created an attachment (id=657) [details] [details]
> Bugfix
> 
> The old test is equivalent to if (0), which means its not possible to set the
> ENCODE_MODE without also setting a key. 

Thanks, this is a correct fix. I will include it in future cx3110x releases.
Comment 4 Andre Klapper maemo.org 2008-10-30 13:10:16 UTC
Unfortunately it seems that Nokia does not plan to make any cx3110x releases
for Diablo anymore, hence this is a WONTFIX.

I'm not happy with how this bug was handled. Steven, sorry if this is
demotivating. Issues will be handled more correctly in the future.
Comment 5 Andre Klapper maemo.org 2009-04-09 17:29:16 UTC
(Patch might also be interesting for the Mer project, hence CC'ing Carsten)
Comment 6 Lucas Maneos 2009-10-22 07:56:42 UTC
Marking patches of interest to Diablo (Maemo4) community updates, please excuse
the noise.